2021-01-19 16:36:23 INFO  Main:18 method: main - Executing main.
2021-01-19 16:36:23 INFO  Main:35 method: mainMenu - Rendering main menu.
2021-01-19 16:36:25 INFO  LoginService:19 method: loginMenu - Rendering login menu.
2021-01-19 16:36:30 INFO  CredentialsDao:18 method: validateCredentials - Validating credentials.
2021-01-19 16:36:30 INFO  ConnectionUtil:24 method: getConnection - Retrieving database connection.
2021-01-19 16:36:32 INFO  Main:30 method: setCurrentUser - Setting current user cHarris.
2021-01-19 16:36:32 INFO  UserDao:19 method: getUserType - Getting the user type for cHarris
2021-01-19 16:36:32 INFO  ConnectionUtil:24 method: getConnection - Retrieving database connection.
2021-01-19 16:36:33 INFO  CustomerService:23 method: customerMenu - Rendering customer menu.
2021-01-19 20:30:11 INFO  Main:18 method: main - Executing main.
2021-01-19 20:30:11 INFO  Main:35 method: mainMenu - Rendering main menu.
2021-01-19 20:30:26 INFO  LoginService:19 method: loginMenu - Rendering login menu.
2021-01-19 20:30:33 INFO  CredentialsDao:18 method: validateCredentials - Validating credentials.
2021-01-19 20:30:33 INFO  ConnectionUtil:24 method: getConnection - Retrieving database connection.
2021-01-19 20:30:35 INFO  Main:30 method: setCurrentUser - Setting current user cHarris.
2021-01-19 20:30:35 INFO  UserDao:19 method: getUserType - Getting the user type for cHarris
2021-01-19 20:30:35 INFO  ConnectionUtil:24 method: getConnection - Retrieving database connection.
2021-01-19 20:30:36 INFO  CustomerService:23 method: customerMenu - Rendering customer menu.
2021-01-19 20:30:41 INFO  LoginService:19 method: loginMenu - Rendering login menu.
2021-01-19 20:30:47 INFO  CredentialsDao:18 method: validateCredentials - Validating credentials.
2021-01-19 20:30:47 INFO  ConnectionUtil:24 method: getConnection - Retrieving database connection.
2021-01-19 20:30:48 INFO  LoginService:19 method: loginMenu - Rendering login menu.
2021-01-19 20:30:54 INFO  CredentialsDao:18 method: validateCredentials - Validating credentials.
2021-01-19 20:30:54 INFO  ConnectionUtil:24 method: getConnection - Retrieving database connection.
2021-01-19 20:30:55 INFO  Main:30 method: setCurrentUser - Setting current user cHarris.
2021-01-19 20:30:55 INFO  UserDao:19 method: getUserType - Getting the user type for cHarris
2021-01-19 20:30:55 INFO  ConnectionUtil:24 method: getConnection - Retrieving database connection.
2021-01-19 20:30:56 INFO  CustomerService:23 method: customerMenu - Rendering customer menu.
2021-01-19 20:31:14 INFO  CustomerService:52 method: viewAccounts - Viewing accounts.
2021-01-19 20:31:14 INFO  Main:25 method: getCurrentUser - Retrieving current user cHarris.
2021-01-19 20:31:14 INFO  AccountDao:43 method: getAccounts - Getting accounnts for user: cHarris
2021-01-19 20:31:14 INFO  ConnectionUtil:24 method: getConnection - Retrieving database connection.
2021-01-19 20:31:15 INFO  AccountDao:63 method: getAccountTransactions - Getting all transactions for account: 11223344
2021-01-19 20:31:15 INFO  AccountDao:63 method: getAccountTransactions - Getting all transactions for account: 12345678
2021-01-19 20:31:42 INFO  CustomerService:81 method: viewTransactionHistory - Viewing transaction hsitory.
2021-01-19 20:32:11 INFO  CustomerService:124 method: withdrawFunds - Withdrawing funds.
2021-01-19 20:32:11 INFO  Main:25 method: getCurrentUser - Retrieving current user cHarris.
2021-01-19 20:32:11 INFO  AccountDao:43 method: getAccounts - Getting accounnts for user: cHarris
2021-01-19 20:32:11 INFO  ConnectionUtil:24 method: getConnection - Retrieving database connection.
2021-01-19 20:32:12 INFO  AccountDao:63 method: getAccountTransactions - Getting all transactions for account: 11223344
2021-01-19 20:32:12 INFO  AccountDao:63 method: getAccountTransactions - Getting all transactions for account: 12345678
2021-01-19 20:32:24 INFO  AccountDao:203 method: withdrawFunds - Withdrawing $50 from account 11223344.
2021-01-19 20:32:24 INFO  AccountDao:104 method: getAccountBalance - Getting balance for account: 11223344
2021-01-19 20:32:24 INFO  ConnectionUtil:24 method: getConnection - Retrieving database connection.
2021-01-19 20:32:25 INFO  ConnectionUtil:24 method: getConnection - Retrieving database connection.
2021-01-19 20:32:26 INFO  AccountDao:231 method: withdrawFunds - Committed withdrawl.
2021-01-19 20:32:26 INFO  AccountDao:240 method: withdrawFunds - Closed connection to database.
2021-01-19 20:32:28 INFO  CustomerService:52 method: viewAccounts - Viewing accounts.
2021-01-19 20:32:28 INFO  Main:25 method: getCurrentUser - Retrieving current user cHarris.
2021-01-19 20:32:28 INFO  AccountDao:43 method: getAccounts - Getting accounnts for user: cHarris
2021-01-19 20:32:28 INFO  ConnectionUtil:24 method: getConnection - Retrieving database connection.
2021-01-19 20:32:29 INFO  AccountDao:63 method: getAccountTransactions - Getting all transactions for account: 11223344
2021-01-19 20:32:29 INFO  AccountDao:63 method: getAccountTransactions - Getting all transactions for account: 12345678
2021-01-19 20:32:33 INFO  CustomerService:81 method: viewTransactionHistory - Viewing transaction hsitory.
2021-01-19 20:32:44 INFO  CustomerService:187 method: depositFunds - Depositing funds.
2021-01-19 20:32:44 INFO  Main:25 method: getCurrentUser - Retrieving current user cHarris.
2021-01-19 20:32:44 INFO  AccountDao:43 method: getAccounts - Getting accounnts for user: cHarris
2021-01-19 20:32:44 INFO  ConnectionUtil:24 method: getConnection - Retrieving database connection.
2021-01-19 20:32:44 INFO  AccountDao:63 method: getAccountTransactions - Getting all transactions for account: 11223344
2021-01-19 20:32:45 INFO  AccountDao:63 method: getAccountTransactions - Getting all transactions for account: 12345678
2021-01-19 20:33:03 INFO  AccountDao:247 method: depositFunds - Depositing $24.33 to account 12345678.
2021-01-19 20:33:03 INFO  AccountDao:104 method: getAccountBalance - Getting balance for account: 12345678
2021-01-19 20:33:03 INFO  ConnectionUtil:24 method: getConnection - Retrieving database connection.
2021-01-19 20:33:04 INFO  ConnectionUtil:24 method: getConnection - Retrieving database connection.
2021-01-19 20:33:05 INFO  AccountDao:275 method: depositFunds - Committed deposit.
2021-01-19 20:33:05 INFO  AccountDao:284 method: depositFunds - Closed connection to database.
2021-01-19 20:33:07 INFO  CustomerService:52 method: viewAccounts - Viewing accounts.
2021-01-19 20:33:07 INFO  Main:25 method: getCurrentUser - Retrieving current user cHarris.
2021-01-19 20:33:07 INFO  AccountDao:43 method: getAccounts - Getting accounnts for user: cHarris
2021-01-19 20:33:07 INFO  ConnectionUtil:24 method: getConnection - Retrieving database connection.
2021-01-19 20:33:08 INFO  AccountDao:63 method: getAccountTransactions - Getting all transactions for account: 11223344
2021-01-19 20:33:08 INFO  AccountDao:63 method: getAccountTransactions - Getting all transactions for account: 12345678
2021-01-19 20:33:12 INFO  CustomerService:81 method: viewTransactionHistory - Viewing transaction hsitory.
2021-01-19 20:33:20 INFO  CustomerService:101 method: applyForNewAccount - Applying for new account.
2021-01-19 20:33:29 INFO  Main:25 method: getCurrentUser - Retrieving current user cHarris.
2021-01-19 20:33:29 INFO  ApplicationDao:26 method: addApplication - Adding appliation to database.
2021-01-19 20:33:29 INFO  ConnectionUtil:24 method: getConnection - Retrieving database connection.
2021-01-19 20:35:24 INFO  LoginService:19 method: loginMenu - Rendering login menu.
2021-01-19 20:35:29 INFO  CredentialsDao:18 method: validateCredentials - Validating credentials.
2021-01-19 20:35:29 INFO  ConnectionUtil:24 method: getConnection - Retrieving database connection.
2021-01-19 20:35:30 INFO  Main:30 method: setCurrentUser - Setting current user cHarrisEmp.
2021-01-19 20:35:30 INFO  UserDao:19 method: getUserType - Getting the user type for cHarrisEmp
2021-01-19 20:35:30 INFO  ConnectionUtil:24 method: getConnection - Retrieving database connection.
2021-01-19 20:35:31 INFO  EmployeeService:22 method: employeeMenu - Rendering employee menu.
2021-01-19 20:35:34 INFO  EmployeeService:46 method: viewPendingApplications - Viewing pending applications.
2021-01-19 20:35:34 INFO  ApplicationDao:41 method: getAllPendingApplications - Getting all pending applications.
2021-01-19 20:35:34 INFO  ConnectionUtil:24 method: getConnection - Retrieving database connection.
2021-01-19 20:35:35 INFO  UserDao:38 method: getCustomer - Reconstructing the customer object for cHarris
2021-01-19 20:35:35 INFO  ConnectionUtil:24 method: getConnection - Retrieving database connection.
2021-01-19 20:35:46 INFO  UserDao:38 method: getCustomer - Reconstructing the customer object for cHarris
2021-01-19 20:35:46 INFO  ConnectionUtil:24 method: getConnection - Retrieving database connection.
2021-01-19 20:36:18 INFO  EmployeeService:94 method: viewAccounts - Viewing accounts.
2021-01-19 20:36:22 INFO  UserDao:38 method: getCustomer - Reconstructing the customer object for cHarris
2021-01-19 20:36:22 INFO  ConnectionUtil:24 method: getConnection - Retrieving database connection.
2021-01-19 20:36:23 INFO  AccountDao:43 method: getAccounts - Getting accounnts for user: cHarris
2021-01-19 20:36:23 INFO  ConnectionUtil:24 method: getConnection - Retrieving database connection.
2021-01-19 20:36:24 INFO  AccountDao:63 method: getAccountTransactions - Getting all transactions for account: 11223344
2021-01-19 20:36:24 INFO  AccountDao:63 method: getAccountTransactions - Getting all transactions for account: 12345678
2021-01-19 20:36:43 INFO  EmployeeService:120 method: viewAllTransactions - Viewing all transactions.
2021-01-19 20:36:43 INFO  AccountDao:23 method: getAllAccounts - Getting all accounts.
2021-01-19 20:36:43 INFO  ConnectionUtil:24 method: getConnection - Retrieving database connection.
2021-01-19 20:36:44 INFO  AccountDao:63 method: getAccountTransactions - Getting all transactions for account: 11223344
2021-01-19 20:36:44 INFO  AccountDao:63 method: getAccountTransactions - Getting all transactions for account: 12345678
2021-01-19 20:36:44 INFO  AccountDao:63 method: getAccountTransactions - Getting all transactions for account: 53982183
2021-01-19 20:36:55 INFO  EmployeeService:120 method: viewAllTransactions - Viewing all transactions.
2021-01-19 20:36:55 INFO  AccountDao:23 method: getAllAccounts - Getting all accounts.
2021-01-19 20:36:55 INFO  ConnectionUtil:24 method: getConnection - Retrieving database connection.
2021-01-19 20:36:56 INFO  AccountDao:63 method: getAccountTransactions - Getting all transactions for account: 11223344
2021-01-19 20:36:56 INFO  AccountDao:63 method: getAccountTransactions - Getting all transactions for account: 12345678
2021-01-19 20:36:56 INFO  AccountDao:63 method: getAccountTransactions - Getting all transactions for account: 53982183
2021-01-19 20:46:06 INFO  CredentialsUtil:12 method: usernameIsValid - Validating username cHarris
2021-01-19 20:46:06 INFO  CredentialsUtil:12 method: usernameIsValid - Validating username admin
2021-01-19 20:46:06 INFO  CredentialsUtil:12 method: usernameIsValid - Validating username Leo_Harris_Rules
2021-01-19 20:46:06 INFO  CredentialsUtil:75 method: isAcceptedSpecialCharacter - Determining if _ is an accepted special character.
2021-01-19 20:46:06 INFO  CredentialsUtil:75 method: isAcceptedSpecialCharacter - Determining if _ is an accepted special character.
2021-01-19 20:46:06 INFO  CredentialsUtil:12 method: usernameIsValid - Validating username 1
2021-01-19 20:46:06 INFO  CredentialsUtil:12 method: usernameIsValid - Validating username abe
2021-01-19 20:46:06 INFO  CredentialsUtil:12 method: usernameIsValid - Validating username yo33
2021-01-19 20:46:06 INFO  CredentialsUtil:38 method: passwordIsValid - Validating password.
2021-01-19 20:46:06 INFO  CredentialsUtil:75 method: isAcceptedSpecialCharacter - Determining if $ is an accepted special character.
2021-01-19 20:46:06 INFO  CredentialsUtil:75 method: isAcceptedSpecialCharacter - Determining if % is an accepted special character.
2021-01-19 20:46:06 INFO  CredentialsUtil:75 method: isAcceptedSpecialCharacter - Determining if # is an accepted special character.
2021-01-19 20:46:06 INFO  CredentialsUtil:38 method: passwordIsValid - Validating password.
2021-01-19 20:46:06 INFO  CredentialsUtil:75 method: isAcceptedSpecialCharacter - Determining if % is an accepted special character.
2021-01-19 20:46:06 INFO  CredentialsUtil:75 method: isAcceptedSpecialCharacter - Determining if # is an accepted special character.
2021-01-19 20:46:06 INFO  CredentialsUtil:75 method: isAcceptedSpecialCharacter - Determining if & is an accepted special character.
2021-01-19 20:46:06 INFO  CredentialsUtil:38 method: passwordIsValid - Validating password.
2021-01-19 20:46:06 INFO  CredentialsUtil:75 method: isAcceptedSpecialCharacter - Determining if ! is an accepted special character.
2021-01-19 20:46:06 INFO  CredentialsUtil:75 method: isAcceptedSpecialCharacter - Determining if $ is an accepted special character.
2021-01-19 20:46:06 INFO  CredentialsUtil:75 method: isAcceptedSpecialCharacter - Determining if & is an accepted special character.
2021-01-19 20:46:06 INFO  CredentialsUtil:38 method: passwordIsValid - Validating password.
2021-01-19 20:46:06 INFO  CredentialsUtil:38 method: passwordIsValid - Validating password.
2021-01-19 20:46:06 INFO  CredentialsUtil:38 method: passwordIsValid - Validating password.
2021-01-19 20:46:06 INFO  CredentialsUtil:38 method: passwordIsValid - Validating password.
2021-01-19 20:46:06 INFO  CredentialsUtil:12 method: usernameIsValid - Validating username IAmTheBestBankCustomerEver!!!
2021-01-19 20:46:06 INFO  CredentialsUtil:12 method: usernameIsValid - Validating username UsernameIsBarelyTooLong111
2021-01-19 20:46:06 INFO  CredentialsUtil:12 method: usernameIsValid - Validating username ThisUsernameIsWayyyyyyyyyyT0000000000Looooooooong
2021-01-19 20:46:06 INFO  CredentialsUtil:38 method: passwordIsValid - Validating password.
2021-01-19 20:46:06 INFO  CredentialsUtil:38 method: passwordIsValid - Validating password.
2021-01-19 20:46:06 INFO  CredentialsUtil:38 method: passwordIsValid - Validating password.
2021-01-19 20:46:06 INFO  CredentialsUtil:38 method: passwordIsValid - Validating password.
2021-01-19 20:46:06 INFO  CredentialsUtil:75 method: isAcceptedSpecialCharacter - Determining if ! is an accepted special character.
2021-01-19 20:46:06 INFO  CredentialsUtil:38 method: passwordIsValid - Validating password.
2021-01-19 20:46:06 INFO  CredentialsUtil:75 method: isAcceptedSpecialCharacter - Determining if # is an accepted special character.
2021-01-19 20:46:06 INFO  CredentialsUtil:75 method: isAcceptedSpecialCharacter - Determining if # is an accepted special character.
2021-01-19 20:46:06 INFO  CredentialsUtil:38 method: passwordIsValid - Validating password.
2021-01-19 20:46:06 INFO  CredentialsUtil:75 method: isAcceptedSpecialCharacter - Determining if $ is an accepted special character.
2021-01-19 20:46:06 INFO  CredentialsUtil:75 method: isAcceptedSpecialCharacter - Determining if $ is an accepted special character.
2021-01-19 20:46:06 INFO  CredentialsUtil:75 method: isAcceptedSpecialCharacter - Determining if $ is an accepted special character.
2021-01-19 20:46:06 INFO  CredentialsUtil:75 method: isAcceptedSpecialCharacter - Determining if . is an accepted special character.
2021-01-19 20:46:06 INFO  CredentialsUtil:38 method: passwordIsValid - Validating password.
2021-01-19 20:46:06 INFO  CredentialsUtil:75 method: isAcceptedSpecialCharacter - Determining if $ is an accepted special character.
2021-01-19 20:46:06 INFO  CredentialsUtil:75 method: isAcceptedSpecialCharacter - Determining if $ is an accepted special character.
2021-01-19 20:46:06 INFO  CredentialsUtil:12 method: usernameIsValid - Validating username JohnDoe33*
2021-01-19 20:46:06 INFO  CredentialsUtil:75 method: isAcceptedSpecialCharacter - Determining if * is an accepted special character.
2021-01-19 20:46:06 INFO  CredentialsUtil:12 method: usernameIsValid - Validating username Joey@gmail.com
2021-01-19 20:46:06 INFO  CredentialsUtil:75 method: isAcceptedSpecialCharacter - Determining if @ is an accepted special character.
2021-01-19 20:46:06 INFO  CredentialsUtil:12 method: usernameIsValid - Validating username Li$a;Anne
2021-01-19 20:46:06 INFO  CredentialsUtil:75 method: isAcceptedSpecialCharacter - Determining if $ is an accepted special character.
2021-01-19 20:46:06 INFO  CredentialsUtil:75 method: isAcceptedSpecialCharacter - Determining if ; is an accepted special character.
2021-01-19 20:46:06 INFO  CredentialsUtil:38 method: passwordIsValid - Validating password.
2021-01-19 20:46:06 INFO  CredentialsUtil:75 method: isAcceptedSpecialCharacter - Determining if % is an accepted special character.
2021-01-19 20:46:06 INFO  CredentialsUtil:75 method: isAcceptedSpecialCharacter - Determining if $ is an accepted special character.
2021-01-19 20:46:06 INFO  CredentialsUtil:38 method: passwordIsValid - Validating password.
2021-01-19 20:46:06 INFO  CredentialsUtil:75 method: isAcceptedSpecialCharacter - Determining if & is an accepted special character.
2021-01-19 20:46:06 INFO  CredentialsUtil:38 method: passwordIsValid - Validating password.
2021-01-19 20:46:06 INFO  CredentialsUtil:75 method: isAcceptedSpecialCharacter - Determining if # is an accepted special character.
2021-01-19 20:46:06 INFO  CredentialsUtil:75 method: isAcceptedSpecialCharacter - Determining if $ is an accepted special character.
2021-01-19 20:46:06 INFO  CredentialsUtil:75 method: isAcceptedSpecialCharacter - Determining if ! is an accepted special character.
2021-01-19 20:46:06 INFO  CredentialsUtil:75 method: isAcceptedSpecialCharacter - Determining if % is an accepted special character.
2021-01-19 20:46:06 INFO  CredentialsUtil:75 method: isAcceptedSpecialCharacter - Determining if # is an accepted special character.
2021-01-19 20:46:06 INFO  CredentialsUtil:75 method: isAcceptedSpecialCharacter - Determining if % is an accepted special character.
2021-01-19 20:46:06 INFO  CredentialsUtil:12 method: usernameIsValid - Validating username null
2021-01-19 20:46:06 INFO  CredentialsUtil:38 method: passwordIsValid - Validating password.
2021-01-19 20:46:06 INFO  CredentialsUtil:75 method: isAcceptedSpecialCharacter - Determining if % is an accepted special character.
2021-01-19 20:46:06 INFO  CredentialsUtil:75 method: isAcceptedSpecialCharacter - Determining if ! is an accepted special character.
2021-01-19 20:46:06 INFO  CredentialsUtil:75 method: isAcceptedSpecialCharacter - Determining if = is an accepted special character.
2021-01-19 20:46:06 INFO  CredentialsUtil:38 method: passwordIsValid - Validating password.
2021-01-19 20:46:06 INFO  CredentialsUtil:75 method: isAcceptedSpecialCharacter - Determining if [ is an accepted special character.
2021-01-19 20:46:06 INFO  CredentialsUtil:38 method: passwordIsValid - Validating password.
2021-01-19 20:46:06 INFO  CredentialsUtil:75 method: isAcceptedSpecialCharacter - Determining if % is an accepted special character.
2021-01-19 20:46:06 INFO  CredentialsUtil:75 method: isAcceptedSpecialCharacter - Determining if $ is an accepted special character.
2021-01-19 20:46:06 INFO  CredentialsUtil:75 method: isAcceptedSpecialCharacter - Determining if , is an accepted special character.
2021-01-19 20:46:06 INFO  CredentialsUtil:12 method: usernameIsValid - Validating username 1JohnStockton33
2021-01-19 20:46:06 INFO  CredentialsUtil:12 method: usernameIsValid - Validating username .IAmLegend45
2021-01-19 20:46:06 INFO  CredentialsUtil:12 method: usernameIsValid - Validating username _Stacy_Smith_
2021-01-19 20:46:06 INFO  CredentialsUtil:12 method: usernameIsValid - Validating username 11111111
2021-01-19 20:46:06 INFO  CredentialsUtil:38 method: passwordIsValid - Validating password.
2021-01-19 20:46:06 INFO  CredentialsUtil:38 method: passwordIsValid - Validating password.
2021-01-19 20:46:06 INFO  CredentialsUtil:38 method: passwordIsValid - Validating password.
2021-01-19 20:46:06 INFO  CredentialsUtil:38 method: passwordIsValid - Validating password.
